Status: Resolved Start date: 11/18/2012
Priority: Normal Due date:
Assignee: J. Wienke % Done: 100%
Category: Java Estimated time: 0.00 hour
Target version: rsb-0.9
Description

Currenlty, the Java Version identifier is set manually in rsb.util.Properties and there is no information about the commit leading to the
respective build.

Associated revisions
Revision 1c23d4e0 - 11/21/2012 05:38 PM - J. Wienke

Define the patch version of RSB using git describe to finally have
correct releases.

All flexibility of the C++ implementation of this versioning scheme is
also available here. A build/gitversion file can be added containing a
git-describe-like string in case we want to export source archives.

refs #1243

Revision ab969bde - 11/21/2012 06:25 PM - J. Wienke

backport: Define the patch version of RSB using git describe to finally have
correct releases.

All flexibility of the C++ implementation of this versioning scheme is
also available here. A build/gitversion file can be added containing a
git-describe-like string in case we want to export source archives.

refs #1243

History
#1 - 11/19/2012 10:29 AM - J. Wienke
- Assignee set to J. Wienke

This also relates to the fact that we should generate a patch version from GIT comparable to C++ so that version bumps can be correctly managed in
e.g. maven. I could do this I think.

#2 - 11/19/2012 12:52 PM - S. Wrede

Would be nice if you could actually do it. Thx!
#3 - 11/21/2012 12:51 PM - J. Wienke
- Status changed from New to In Progress

#4 - 11/21/2012 12:53 PM - J. Wienke
- Tracker changed from Feature to Enhancement

#5 - 11/21/2012 01:43 PM - J. Wienke
- Subject changed from Java-Version Identifier should be set correctly via Ant-Script to Set Java RSB version in Properties from ANT using git describe
- % Done changed from 0 to 30

Updated to also reflect the GIT changes.

#6 - 11/21/2012 06:30 PM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 30 to 100

This has been implemented in master and is also ported back to 0.7 due to popular request.
